phing-types

# Class: FilterChain Source Location: /types/FilterChain.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --FilterChain
FilterChain may contain a chained set of filter readers. #### Author(s): Yannick Lecaillez <yl@seasonfive.com> #### Version: $Revision: 589 $ | ### Methods __construct addExpandProperties addFilterReader addGettext addHeadFilter addLineContains addLineContainsRegExp addPrefixLines addReplaceRegexp addReplaceTokens addStripLineBreaks addStripLineComments addStripPhpComments addStripWhitespace addTabToSpaces addTailFilter addTidyFilter addXincludeFilter addXsltFilter getFilterReaders setRefid
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 49] FilterChain may contain a chained set of filter readers. #### Tags:
author: | Yannick Lecaillez <yl@seasonfive.com>
version: | $Revision: 589 $
[ Top ] ### Class Methods ### constructor __construct [line 53]
`FilterChain __construct( [ $project = null])`
#### Parameters:
| $project |
[ Top ] ### method addExpandProperties [line 64]
`void addExpandProperties( $o)`
#### Parameters:
ExpandProperties | $o |
[ Top ] ### method addFilterReader [line 149]
`void addFilterReader( PhingFilterReader $o)`
#### Parameters:
PhingFilterReader | $o |
[ Top ] ### method addGettext [line 69]
`void addGettext( $o)`
#### Parameters:
TranslateGettext | $o |
[ Top ] ### method addHeadFilter [line 74]
`void addHeadFilter( $o)`
#### Parameters:
HeadFilter | $o |
[ Top ] ### method addLineContains [line 84]
`void addLineContains( $o)`
#### Parameters:
LineContains | $o |
[ Top ] ### method addLineContainsRegExp [line 89]
`void addLineContainsRegExp( $o)`
#### Parameters:
LineContainsRegExp | $o |
[ Top ] ### method addPrefixLines [line 94]
`void addPrefixLines( $o)`
#### Parameters:
PrefixLines | $o |
[ Top ] ### method addReplaceRegexp [line 104]
`void addReplaceRegexp( $o)`
#### Parameters:
ReplaceRegexp | $o |
[ Top ] ### method addReplaceTokens [line 99]
`void addReplaceTokens( $o)`
#### Parameters:
ReplaceTokens | $o |
[ Top ] ### method addStripLineBreaks [line 114]
`void addStripLineBreaks( $o)`
#### Parameters:
StripLineBreaks | $o |
[ Top ] ### method addStripLineComments [line 119]
`void addStripLineComments( $o)`
#### Parameters:
StripLineComments | $o |
[ Top ] ### method addStripPhpComments [line 109]
`void addStripPhpComments( $o)`
#### Parameters:
StripPhpComments | $o |
[ Top ] ### method addStripWhitespace [line 124]
`void addStripWhitespace( $o)`
#### Parameters:
StripWhitespace | $o |
[ Top ] ### method addTabToSpaces [line 134]
`void addTabToSpaces( $o)`
#### Parameters:
TabToSpaces | $o |
[ Top ] ### method addTailFilter [line 79]
`void addTailFilter( $o)`
#### Parameters:
TailFilter | $o |
[ Top ] ### method addTidyFilter [line 129]
`void addTidyFilter( $o)`
#### Parameters:
TidyFilter | $o |
[ Top ] ### method addXincludeFilter [line 139]
`void addXincludeFilter( $o)`
#### Parameters:
XincludeFilter | $o |
[ Top ] ### method addXsltFilter [line 144]
`void addXsltFilter( $o)`
#### Parameters:
XsltFilter | $o |
[ Top ] ### method getFilterReaders [line 60]
`void getFilterReaders( )`
[ Top ] ### method setRefid [line 164]
`void setRefid( Reference $r)`
Overrides DataType::setRefid() (Set the value of the refid attribute.) #### Parameters:
Reference | $r |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:00 +0200 by phpDocumentor 1.4.3